footer {
    display: flex;
    flex-flow: row wrap;
    background-color: var(--main-green);
    justify-content: center;
    padding-top: clamp(1.25rem, -0.625rem + 10vw, 2rem);
    padding-left: clamp(1.25rem, -0.625rem + 3vw, 3.125rem);
    padding-right: clamp(1.25rem, -0.625rem + 3vw, 3.125rem);
    /* overflow-x: hidden; */
}

.footer__item--big {
    display: flex;
    flex-flow: row wrap;
    justify-content: center;
    align-items: center;
    width: 100%;
    margin-bottom: clamp(1rem, -0.625rem + 10vw, 1.75rem);
}

.footer__item--big > h4 > p {
    font-size: clamp(3rem + 2px, -0.875rem + 12vw, 9rem);
}

.footer__item--big > h4 {
    width: 50%;
}

.footer__arrow--wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 25%;
}

.button__icon--footer{
    margin-right: 25px;
}

.footer__item--big > .text__medium {
    width: 25%;
    text-align: right;
}

@media (max-width: 700px) {
    .footer__item--big > h4 {
        width: 100%;
    }
    .footer__arrow--wrapper {
        display: none;
    }

    .footer__item--big > .text__medium {
        width: 100%;
        text-align: left;
    }
}

#social {
    width: 50%;
}

#clubs {
    width: 50%;
}

#social a {
    font-weight: 500;
}

#clubs a {
    font-weight: 500;
}

@media (max-width: 1000px) {
    #social {
        width: 100%;
    }
    
    #clubs {
        width: 100%;
    }
}

.footer__item--big h4 {
    font-size: clamp(2.25rem, -1rem + 7vw, 4.5rem);
    color: var(--main-white);
}

.footer__item--big .text__medium {
    color: var(--main-white);
    font-weight: 400;
}

.footer__item--small {
    display: flex;
    flex-flow: column nowrap;
    margin-bottom: clamp(1.5625rem, -0.625rem + 10vw, 1.75rem);
}

.footer__item--small h4 {
    color: var(--main-white);
    font-size: 16px;
}

.footer__item--big a {
    font-weight: 500;
}

.footer__logo {
    width: 100%;
    margin-bottom: clamp(1rem, -0.625rem + 10vw, 1.75rem);
}

.button__wrapper--footer {
    display: flex;
    width: 100%;
}

@media (max-width: 1000px) {
    .button__wrapper--footer {
        flex-flow: column wrap;
        margin-bottom: clamp(1rem, -0.625rem + 10vw, 1.75rem);
    }

    .button__footer--big {
        max-width: 75vw;
    }
}